$theme-primary-light: #028826;
$theme-primary-dark: #00691c;

$theme-secondary-light: #424242;
$theme-secondary-dark: #028826;

$theme-background-light: #f3f3f3;
$theme-background-dark: #3d3d3d;

$theme-primary-text-light: $theme-background-dark;
$theme-primary-text-dark: $theme-background-light;

$theme-accent: #82b1ff;
$theme-error: #ff5252;
$theme-info: #2196f3;
$theme-success: #4caf50;
$theme-warning: #ffc107;

// enable typescript imports
:export {
  primary-light: $theme-primary-light;
  primary-dark: $theme-primary-dark;

  secondary-light: $theme-secondary-light;
  secondary-dark: $theme-secondary-dark;

  background-light: $theme-background-light;
  background-dark: $theme-background-dark;

  primary-text-light: $theme-primary-text-light;
  primary-text-dark: $theme-primary-text-dark;

  accent: $theme-accent;
  error: $theme-error;
  info: $theme-info;
  success: $theme-success;
  warning: $theme-warning;
}